# osgtesselate.cpp File Reference

`#include <osgDB/ReadFile>`
`#include <osgUtil/Optimizer>`
`#include <osgProducer/Viewer>`
`#include <osg/Projection>`
`#include <osg/MatrixTransform>`
`#include <osgText/Text>`
`#include <osgUtil/Tesselator>`

Include dependency graph for osgtesselate.cpp:

## Functions

osg::Geometry * | makePolsTwo (void)
osg::Geometry * | makeSideWall (const float xpos)
osg::Geometry * | makeFrontWall (const float zpos)
osg::Geode * | makeHouse (void)
osg::Geometry * | makePols (void)
osg::Node * | createHUD ()
osg::Group * | makeTesselateExample (void)
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createHUD | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

osg::Geometry* makeFrontWall | ( | const float | zpos | ) |

osg::Geode* makeHouse | ( | void |  | ) |

osg::Geometry* makePols | ( | void |  | ) |

osg::Geometry* makePolsTwo | ( | void |  | ) |

osg::Geometry* makeSideWall | ( | const float | xpos | ) |

osg::Group* makeTesselateExample | ( | void |  | ) |